/* Copyright (c) 2009, Oracle and/or its affiliates. All rights reserved. */ 

// clientUIView.cpp : implementation of the CclientUIView class
//

#include "stdafx.h"
#include "clientUI.h"

#include "clientUIDoc.h"
#include "clientUIView.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#endif


// CclientUIView

IMPLEMENT_DYNCREATE(CclientUIView, CView)

BEGIN_MESSAGE_MAP(CclientUIView, CView)
END_MESSAGE_MAP()

// CclientUIView construction/destruction

CclientUIView::CclientUIView()
{
	// TODO: add construction code here

}

CclientUIView::~CclientUIView()
{
}

BOOL CclientUIView::PreCreateWindow(CREATESTRUCT& cs)
{
	return CView::PreCreateWindow(cs);
}


// CclientUIView drawing
void CclientUIView::OnDraw(CDC* /*pDC*/)
{
	CclientUIDoc* pDoc = GetDocument();
	ASSERT_VALID(pDoc);
}



// CclientUIView diagnostics

#ifdef _DEBUG
void CclientUIView::AssertValid() const
{
	CView::AssertValid();
}

CclientUIDoc* CclientUIView::GetDocument() const // non-debug version is inline
{
	ASSERT(m_pDocument->IsKindOf(RUNTIME_CLASS(CclientUIDoc)));
	return (CclientUIDoc*)m_pDocument;
}
#endif //_DEBUG


// CclientUIView message handlers
